List drives
GET
https://api.vercel.com/v2/sandboxes/drivesRetrieves a paginated list of drives belonging to a specific project.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.sandboxes.listDrives({ projectId: "prj_abc123", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "drives": [ { "createdAt": "1750344501629", "currentSandboxName": "my-sandbox", "currentSessionId": "sbx_123", "id": "drive_abc123", "maxSizeBytes": "1099511627776", "name": "workspace", "parentDriveId": "example_id", "projectId": "prj_abc123", "region": "iad1", "rootDriveId": "example_id", "updatedAt": "1750344501629", "v0": "false" } ], "pagination": { "count": "123", "next": "string" }}AuthorizationbearerToken
Default authentication mechanism
The project ID or name associated with the drives. Required unless using a Vercel OIDC token scoped to a project.
Filter drives whose name starts with this prefix. Only valid when sortBy=name.